Bug 826819 - Submodules in git repo fail to restore
Submodules in git repo fail to restore
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 00:13 EDT by Jhon Honce
Modified: 2015-05-14 18:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: stickshift-abstract-0.11.6-1+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 13:59:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test resulting showing git failure (28.67 KB, text/x-log)
2012-05-31 00:13 EDT, Jhon Honce
no flags Details

  None (edit)
Description Jhon Honce 2012-05-31 00:13:27 EDT
Created attachment 587934 [details]
Test resulting showing git failure

Description of problem:
`rhc-app snapshot restore...` fails when restoring a git repo with sub modules.

Version-Release number of selected component (if applicable):
Sprint#12

How reproducible:


Steps to Reproduce:
1. Run cucumber tests
2.
3.
  
Actual results:
/usr/bin/rhc-app snapshot restore -l cucumber-test+ci38279715@example.com -a test -f '/tmp/test-ci38279715new.tar.gz' -p xyz123 -
:
.
Initialized empty Git repository in /var/lib/stickshift/cd3556c9cf184ad498b192c437db0e37/php-5.3/tmp/submodules/.git/ /usr/libexec/stickshift/cartridges/abstract/info/bin/deploy_git_dir.sh: line 30: cd: /var/lib/stickshift/cd3556c9cf184ad498b192c437db0e37/test//tmp/submodules

Expected results:
Restore would rebuild git repo including submodules

Additional info:

Log containing error: https://ci.dev.openshift.redhat.com/jenkins/view/old%20school/job/libra_check/lastSuccessfulBuild/artifact/rhc/log/cucumber.log
Comment 1 Jhon Honce 2012-05-31 00:16:13 EDT
Log also attached in case it gets removed from server.
Comment 2 John Poelstra 2012-05-31 13:29:29 EDT
should be fixed today
Comment 3 Rob Millner 2012-05-31 20:48:01 EDT
Crankcase pull request 98.
Comment 4 Meng Bo 2012-06-01 05:44:51 EDT
verified on devenv_1812

_________

Restoring from snapshot app1.tar.gz...

Stopping application...
Waiting for stop to finish
Done
Removing old git repo: ~/git/app1.git/
Removing old data dir: ~/app1/app-root/data/*
Restoring ~/git/app1.git and ~/app-root/data
~/git/app1.git ~
~/app1/tmp ~/git/app1.git ~
Initialized empty Git repository in /var/lib/stickshift/211f9326a95f427886d834081071befd/php-5.3/tmp/submodules/.git/
Submodule 'wolfcms-example' (https://github.com/openshift/wolfcms-example.git) registered for path 'wolfcms-example'
Initialized empty Git repository in /var/lib/stickshift/211f9326a95f427886d834081071befd/php-5.3/tmp/submodules/wolfcms-example/.git/
Submodule path 'wolfcms-example': checked out '8acdb01176ea8ef98f9b790c541dc5a6f41052ca'
Entering 'wolfcms-example'
~/git/app1.git ~
~
Running .openshift/action_hooks/pre_build
Running .openshift/action_hooks/build
Running .openshift/action_hooks/deploy
Starting application...
Done
Running .openshift/action_hooks/post_deploy
Terminating...

Note You need to log in before you can comment on or make changes to this bug.